Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractTextDocumentLayout_PaintContext

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QAbstractTextDocumentLayout_PaintContext

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QAbstractTextDocumentLayout_PaintContext

extends QtJambiObject
implements java.lang.Cloneable

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QAbstractTextDocumentLayout_PaintContext()` Creates a new QAbstractTextDocumentLayout_PaintContext object.

Method Summary
`QRectF` | `clip()` Returns the clip region of this QAbstractTextDocumentLayout_PaintContext.
`QAbstractTextDocumentLayout_PaintContext` | `clone()` This method is reimplemented for internal reasons
`int` | `cursorPosition()` Returns this QAbstractTextDocumentLayout_PaintContext's cursor position.
`static QAbstractTextDocumentLayout_PaintContext` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QAbstractTextDocumentLayout_PaintContext instance pointed to by `nativePointer`.
`static QNativePointer` | `nativePointerArray(QAbstractTextDocumentLayout_PaintContext[] array)` This function returns a QNativePointer that is pointing to the specified QAbstractTextDocumentLayout_PaintContext array.
`QPalette` | `palette()` Returns the palette of this QAbstractTextDocumentLayout_PaintContext.
`void` | `setClip(QRectF clip)` Sets this QAbstractTextDocumentLayout_PaintContext's clip region to `clip`.
`void` | `setCursorPosition(int cursorPosition)` Sets this QAbstractTextDocumentLayout_PaintContext's `cursorPosition`.
`void` | `setPalette(QPalette palette)` Sets the `palette` palette of this QAbstractTextDocumentLayout_PaintContext.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAbstractTextDocumentLayout_PaintContext

    public QAbstractTextDocumentLayout_PaintContext()

  Creates a new QAbstractTextDocumentLayout_PaintContext object.

Method Detail

### setPalette

    public final void setPalette(QPalette palette)

  Sets the `palette` palette of this QAbstractTextDocumentLayout_PaintContext.

### palette

    public final QPalette palette()

  Returns the palette of this QAbstractTextDocumentLayout_PaintContext.

### setCursorPosition

    public final void setCursorPosition(int cursorPosition)

  Sets this QAbstractTextDocumentLayout_PaintContext's `cursorPosition`.

### cursorPosition

    public final int cursorPosition()

  Returns this QAbstractTextDocumentLayout_PaintContext's cursor position.

### setClip

    public final void setClip(QRectF clip)

  Sets this QAbstractTextDocumentLayout_PaintContext's clip region to `clip`.

### clip

    public final QRectF clip()

  Returns the clip region of this QAbstractTextDocumentLayout_PaintContext.

### fromNativePointer

    public static QAbstractTextDocumentLayout_PaintContext fromNativePointer(QNativePointer nativePointer)

  This method returns the QAbstractTextDocumentLayout_PaintContext instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QAbstractTextDocumentLayout_PaintContext[] array)

  This function returns a QNativePointer that is pointing to the specified QAbstractTextDocumentLayout_PaintContext array.

### clone

    public QAbstractTextDocumentLayout_PaintContext clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD